DROP TABLE CRST_FND_DOCUMENTS;

CREATE TABLE CRST_FND_DOCUMENTS
(
  DOCUMENT_ID             NUMBER                NOT NULL,
  CREATION_DATE           DATE                  NOT NULL,
  CREATED_BY              NUMBER                NOT NULL,
  LAST_UPDATE_DATE        DATE                  NOT NULL,
  LAST_UPDATED_BY         NUMBER                NOT NULL,
  LAST_UPDATE_LOGIN       NUMBER,
  DATATYPE_ID             NUMBER                NOT NULL,
  CATEGORY_ID             NUMBER                NOT NULL,
  SECURITY_TYPE           NUMBER                NOT NULL,
  SECURITY_ID             NUMBER,
  PUBLISH_FLAG            VARCHAR2(1 BYTE)      NOT NULL,
  IMAGE_TYPE              VARCHAR2(10 BYTE),
  STORAGE_TYPE            NUMBER,
  USAGE_TYPE              VARCHAR2(1 BYTE),
  START_DATE_ACTIVE       DATE,
  END_DATE_ACTIVE         DATE,
  REQUEST_ID              NUMBER,
  PROGRAM_APPLICATION_ID  NUMBER,
  PROGRAM_ID              NUMBER,
  PROGRAM_UPDATE_DATE     DATE,
  APP_SOURCE_VERSION      VARCHAR2(255 BYTE),
  DM_NODE                 NUMBER,
  DM_FOLDER_PATH          VARCHAR2(1000 BYTE),
  DM_TYPE                 VARCHAR2(30 BYTE),
  DM_DOCUMENT_ID          NUMBER,
  DM_VERSION_NUMBER       VARCHAR2(15 BYTE),
  DOCUMENT_ID_N           NUMBER
);
